Browse Source

Initial commit

master
Dylan Baker 5 years ago
commit
d3bfd344aa
14 changed files with 212 additions and 0 deletions
  1. 11
    0
      .gitignore
  2. 3
    0
      .rspec
  3. 7
    0
      .travis.yml
  4. 6
    0
      Gemfile
  5. 35
    0
      Gemfile.lock
  6. 21
    0
      LICENSE.txt
  7. 39
    0
      README.md
  8. 6
    0
      Rakefile
  9. 14
    0
      bin/console
  10. 8
    0
      bin/setup
  11. 40
    0
      chervil.gemspec
  12. 5
    0
      lib/chervil.rb
  13. 3
    0
      lib/chervil/version.rb
  14. 14
    0
      spec/spec_helper.rb

+ 11
- 0
.gitignore View File

@@ -0,0 +1,11 @@
1
+/.bundle/
2
+/.yardoc
3
+/_yardoc/
4
+/coverage/
5
+/doc/
6
+/pkg/
7
+/spec/reports/
8
+/tmp/
9
+
10
+# rspec failure tracking
11
+.rspec_status

+ 3
- 0
.rspec View File

@@ -0,0 +1,3 @@
1
+--format documentation
2
+--color
3
+--require spec_helper

+ 7
- 0
.travis.yml View File

@@ -0,0 +1,7 @@
1
+---
2
+sudo: false
3
+language: ruby
4
+cache: bundler
5
+rvm:
6
+  - 2.5.3
7
+before_install: gem install bundler -v 1.16.6

+ 6
- 0
Gemfile View File

@@ -0,0 +1,6 @@
1
+source "https://rubygems.org"
2
+
3
+git_source(:github) {|repo_name| "https://github.com/#{repo_name}" }
4
+
5
+# Specify your gem's dependencies in chervil.gemspec
6
+gemspec

+ 35
- 0
Gemfile.lock View File

@@ -0,0 +1,35 @@
1
+PATH
2
+  remote: .
3
+  specs:
4
+    chervil (0.1.0)
5
+
6
+GEM
7
+  remote: https://rubygems.org/
8
+  specs:
9
+    diff-lcs (1.3)
10
+    rake (10.5.0)
11
+    rspec (3.8.0)
12
+      rspec-core (~> 3.8.0)
13
+      rspec-expectations (~> 3.8.0)
14
+      rspec-mocks (~> 3.8.0)
15
+    rspec-core (3.8.0)
16
+      rspec-support (~> 3.8.0)
17
+    rspec-expectations (3.8.2)
18
+      diff-lcs (>= 1.2.0, < 2.0)
19
+      rspec-support (~> 3.8.0)
20
+    rspec-mocks (3.8.0)
21
+      diff-lcs (>= 1.2.0, < 2.0)
22
+      rspec-support (~> 3.8.0)
23
+    rspec-support (3.8.0)
24
+
25
+PLATFORMS
26
+  ruby
27
+
28
+DEPENDENCIES
29
+  bundler (~> 1.16)
30
+  chervil!
31
+  rake (~> 10.0)
32
+  rspec (~> 3.0)
33
+
34
+BUNDLED WITH
35
+   1.16.6

+ 21
- 0
LICENSE.txt View File

@@ -0,0 +1,21 @@
1
+The MIT License (MIT)
2
+
3
+Copyright (c) 2019 Dylan Baker
4
+
5
+Permission is hereby granted, free of charge, to any person obtaining a copy
6
+of this software and associated documentation files (the "Software"), to deal
7
+in the Software without restriction, including without limitation the rights
8
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
9
+copies of the Software, and to permit persons to whom the Software is
10
+furnished to do so, subject to the following conditions:
11
+
12
+The above copyright notice and this permission notice shall be included in
13
+all copies or substantial portions of the Software.
14
+
15
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
16
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
17
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
18
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
19
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
20
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
21
+THE SOFTWARE.

+ 39
- 0
README.md View File

@@ -0,0 +1,39 @@
1
+# Chervil
2
+
3
+Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/chervil`. To experiment with that code, run `bin/console` for an interactive prompt.
4
+
5
+TODO: Delete this and the text above, and describe your gem
6
+
7
+## Installation
8
+
9
+Add this line to your application's Gemfile:
10
+
11
+```ruby
12
+gem 'chervil'
13
+```
14
+
15
+And then execute:
16
+
17
+    $ bundle
18
+
19
+Or install it yourself as:
20
+
21
+    $ gem install chervil
22
+
23
+## Usage
24
+
25
+TODO: Write usage instructions here
26
+
27
+## Development
28
+
29
+After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.
30
+
31
+To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).
32
+
33
+## Contributing
34
+
35
+Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/chervil.
36
+
37
+## License
38
+
39
+The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

+ 6
- 0
Rakefile View File

@@ -0,0 +1,6 @@
1
+require "bundler/gem_tasks"
2
+require "rspec/core/rake_task"
3
+
4
+RSpec::Core::RakeTask.new(:spec)
5
+
6
+task :default => :spec

+ 14
- 0
bin/console View File

@@ -0,0 +1,14 @@
1
+#!/usr/bin/env ruby
2
+
3
+require "bundler/setup"
4
+require "chervil"
5
+
6
+# You can add fixtures and/or initialization code here to make experimenting
7
+# with your gem easier. You can also use a different console, if you like.
8
+
9
+# (If you use this, don't forget to add pry to your Gemfile!)
10
+# require "pry"
11
+# Pry.start
12
+
13
+require "irb"
14
+IRB.start(__FILE__)

+ 8
- 0
bin/setup View File

@@ -0,0 +1,8 @@
1
+#!/usr/bin/env bash
2
+set -euo pipefail
3
+IFS=$'\n\t'
4
+set -vx
5
+
6
+bundle install
7
+
8
+# Do any other automated setup that you need to do here

+ 40
- 0
chervil.gemspec View File

@@ -0,0 +1,40 @@
1
+
2
+lib = File.expand_path("../lib", __FILE__)
3
+$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
4
+require "chervil/version"
5
+
6
+Gem::Specification.new do |spec|
7
+  spec.name          = "chervil"
8
+  spec.version       = Chervil::VERSION
9
+  spec.authors       = ["Dylan Baker"]
10
+  spec.email         = ["dylan@simulacrum.party"]
11
+
12
+  spec.summary       = %q{A little Lisp}
13
+  spec.homepage      = "https://git.sr.ht/~simulacrumparty/chervil"
14
+  spec.license       = "MIT"
15
+
16
+  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
17
+  # to allow pushing to a single host or delete this section to allow pushing to any host.
18
+  if spec.respond_to?(:metadata)
19
+    spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
20
+
21
+    spec.metadata["homepage_uri"] = spec.homepage
22
+    spec.metadata["source_code_uri"] = "https://git.sr.ht/~simulacrumparty/chervil"
23
+  else
24
+    raise "RubyGems 2.0 or newer is required to protect against " \
25
+      "public gem pushes."
26
+  end
27
+
28
+  # Specify which files should be added to the gem when it is released.
29
+  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
30
+  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
31
+    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
32
+  end
33
+  spec.bindir        = "exe"
34
+  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
35
+  spec.require_paths = ["lib"]
36
+
37
+  spec.add_development_dependency "bundler", "~> 1.16"
38
+  spec.add_development_dependency "rake", "~> 10.0"
39
+  spec.add_development_dependency "rspec", "~> 3.0"
40
+end

+ 5
- 0
lib/chervil.rb View File

@@ -0,0 +1,5 @@
1
+require "chervil/version"
2
+
3
+module Chervil
4
+  # Your code goes here...
5
+end

+ 3
- 0
lib/chervil/version.rb View File

@@ -0,0 +1,3 @@
1
+module Chervil
2
+  VERSION = "0.1.0"
3
+end

+ 14
- 0
spec/spec_helper.rb View File

@@ -0,0 +1,14 @@
1
+require "bundler/setup"
2
+require "chervil"
3
+
4
+RSpec.configure do |config|
5
+  # Enable flags like --only-failures and --next-failure
6
+  config.example_status_persistence_file_path = ".rspec_status"
7
+
8
+  # Disable RSpec exposing methods globally on `Module` and `main`
9
+  config.disable_monkey_patching!
10
+
11
+  config.expect_with :rspec do |c|
12
+    c.syntax = :expect
13
+  end
14
+end

Loading…
Cancel
Save